Index: /extensions/GrumPluginClasses/js/rbCriteriaBuilder.js
===================================================================
--- /extensions/GrumPluginClasses/js/rbCriteriaBuilder.js	(revision 8960)
+++ /extensions/GrumPluginClasses/js/rbCriteriaBuilder.js	(revision 8961)
@@ -2,6 +2,6 @@
  * -----------------------------------------------------------------------------
  * file: criteriaBuilder.js
- * file version: 1.1.0
- * date: 2010-10-21
+ * file version: 1.1.1
+ * date: 2010-01-13
  *
  * JS file provided by the piwigo's plugin "GrumPluginClasses"
@@ -58,6 +58,6 @@
  * |         |            |   request
  * |         |            |
- * |         |            |
- * |         |            |
+ * | 1.1.1   | 2011/01/13 | * fix bug:2109
+ * |         |            |   . Incompatibility with IE8
  * |         |            |
  * |         |            |
@@ -354,5 +354,5 @@
   var serializeData=function(prefix, value)
   {
-    returned='';
+    var returned='';
     if(typeof value =='object')
     {
@@ -363,5 +363,5 @@
           returned+=serializeData(prefix+'['+key+']', value[key]);
         }
-        else
+        else if(typeof value[key] =='string' || typeof value[key] =='number' || typeof value[key] =='boolean')
         {
           returned+='&'+prefix+'['+key+']='+value[key];
@@ -369,5 +369,5 @@
       }
     }
-    else
+    else if(typeof value =='string' || typeof value =='number' || typeof value =='boolean')
     {
       returned+='&'+prefix+'='+value;
Index: /extensions/GrumPluginClasses/js/simpleTip.js
===================================================================
--- /extensions/GrumPluginClasses/js/simpleTip.js	(revision 8960)
+++ /extensions/GrumPluginClasses/js/simpleTip.js	(revision 8961)
@@ -2,6 +2,6 @@
  * -----------------------------------------------------------------------------
  * file: simpleTip.js
- * file version: 1.0.0
- * date: 2010-07-10
+ * file version: 1.0.1
+ * date: 2010-12-23
  *
  * JS file provided by the piwigo's plugin "GrumPluginClasses"
@@ -30,7 +30,7 @@
  *
  * | release | date       |
- * | 1.0.0   | 2010/07/10 | start to coding
+ * | 1.0.0   | 2010-07-10 | start to coding
  * |         |            |
- * |         |            |
+ * | 1.0.1   | 2010-12-23 | fix minor bugs
  * |         |            |
  * |         |            |
@@ -70,7 +70,7 @@
       offsetY:0,
       classes:'',
-      arrowImgDir: './plugins/GrumPluginClasses/icons/',
+      arrowImgDir: '',
       arrowWidth: 12,
-      arrowHeight: 12,
+      arrowHeight: 12
     },
     options
@@ -84,5 +84,5 @@
       itemIndexInc = 0,
       options={
-          name:'',
+          name:''
         };
 
@@ -150,5 +150,5 @@
           {
            title: '',
-           simpleTip: tip.index,
+           simpleTip: tip.index
           }
         )
@@ -253,5 +253,5 @@
           left: '-1500px',
           top:  '-1500px',
-          display: 'block',
+          display: 'block'
         }
       );
@@ -306,8 +306,8 @@
 
 
-    stWidth=$('#iSimpleTip').outerWidth();
-    stHeight=$('#iSimpleTip').outerHeight();
-    stWidthI=$('#iSimpleTip').innerWidth();
-    stHeightI=$('#iSimpleTip').innerHeight();
+    stWidth=$('#iSimpleTipContent'+options.name).outerWidth();
+    stHeight=$('#iSimpleTipContent'+options.name).outerHeight();
+    stWidthI=$('#iSimpleTipContent'+options.name).innerWidth();
+    stHeightI=$('#iSimpleTipContent'+options.name).innerHeight();
     bwX=(stWidth-stWidthI)/2;
     bwY=(stHeight-stHeightI)/2;
@@ -321,5 +321,5 @@
         y+=items[itemIndex].options.offsetY;
         arrowX=-bwX;
-        arrowY=-10-bwY;
+        arrowY=-items[itemIndex].options.arrowHeight+bwY;
         arrowModel='up';
         break;
@@ -328,6 +328,6 @@
         x-=stWidth/2;
         y+=items[itemIndex].options.offsetY;
-        arrowX=(stWidthI-10)/2;
-        arrowY=-10-bwY;
+        arrowX=(stWidthI-items[itemIndex].options.arrowWidth)/2;
+        arrowY=-items[itemIndex].options.arrowHeight+bwY;
         arrowModel='up';
         break;
@@ -336,13 +336,14 @@
         x-=stWidth+items[itemIndex].options.offsetX;
         y+=items[itemIndex].options.offsetY;
-        arrowX=stWidthI-10+bwX;
-        arrowY=-10-bwY;
+        arrowX=stWidthI-items[itemIndex].options.arrowWidth+bwX;
+        arrowY=-items[itemIndex].options.arrowHeight+bwY;
         arrowModel='up';
         break;
 
       case 'middle-left':
+        x+=items[itemIndex].options.offsetX;
         y-=stHeight/2;
-        arrowX=-10-bwX;
-        arrowY=(stHeightI-10)/2;
+        arrowX=-items[itemIndex].options.arrowWidth+bwX;
+        arrowY=(stHeightI-items[itemIndex].options.arrowHeight)/2+bwY;
         arrowModel='left';
         break;
@@ -357,9 +358,10 @@
         y-=stHeight/2;
         arrowX=stWidthI+bwX;
-        arrowY=(stHeightI-10)/2;
+        arrowY=(stHeightI-items[itemIndex].options.arrowHeight)/2+bwY;
         arrowModel='right';
         break;
 
       case 'bottom-left':
+        x+=items[itemIndex].options.offsetX;
         y-=stHeight+items[itemIndex].options.offsetY;
         arrowX=-bwX;
@@ -371,5 +373,5 @@
         x-=stWidth/2;
         y-=stHeight+items[itemIndex].options.offsetY;
-        arrowX=(stWidthI-10)/2;
+        arrowX=(stWidthI-items[itemIndex].options.arrowWidth)/2+bwX;
         arrowY=stHeightI+bwY;
         arrowModel='down';
@@ -379,5 +381,5 @@
         x-=stWidth+items[itemIndex].options.offsetX;
         y-=stHeight+items[itemIndex].options.offsetY;
-        arrowX=stWidthI-10+bwX;
+        arrowX=stWidthI-items[itemIndex].options.arrowWidth+bwX;
         arrowY=stHeightI+bwY;
         arrowModel='down';
@@ -394,5 +396,5 @@
           marginTop: arrowY+'px',
           width: items[itemIndex].options.arrowWidth+'px',
-          height: items[itemIndex].options.arrowHeight+'px',
+          height: items[itemIndex].options.arrowHeight+'px'
         }
       );
@@ -409,5 +411,5 @@
           left: x+'px',
           top:  y+'px',
-          display: 'none',
+          display: 'none'
         }
       )
